#pragma once

#include <Arduino.h>

#define RED 0
#define YELLOW 60
#define GREEN 120
#define CYAN 180
#define BLUE 240
#define VIOLET 300

class LED {
  private:
    byte _redPin, _greenPin, _bluePin;
    
  public:
    LED(byte redPin, byte greenPin, byte bluePin);
    void begin(void);
    void setColor(float hue, float intensity);
};
