#pragma once

#include <Arduino.h>
#include <SPI.h>
#include <vector>

#define SRC_SINE0 0
#define SRC_SINE1 1
#define SRC_DAC0  2
#define SRC_DAC1  3
#define SRC_NONE  4

class MAX14752 {
  private:
    byte _S0pin, _S1pin, _S2pin;
  public:
    MAX14752(byte S0pin, byte S1pin, byte S2pin);
    void begin(void);
    void setSource(byte code);
};
